This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 785003 - During install of SAM multiple development packages are installed
During install of SAM multiple development packages are installed
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Bryan Kearney
Eric Sammons
:
Depends On:
Blocks: 787727
  Show dependency treegraph
 
Reported: 2012-01-26 16:29 EST by Eric Sammons
Modified: 2012-02-17 12:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 787727 (view as bug list)
Environment:
katello-headpin-all-0.1.128-3.el6.noarch Red Hat Enterprise Linux 6.2
Last Closed: 2012-02-17 12:45:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-01-26 16:29:09 EST
Description of problem:
During the installation of SAM numerous development packages are installed; gcc, glibc-devel, cvs, gdb, cpp, glibc-headers etc...

In a production environment it is preferred to _not_ have development packages on these systems; concerns around security and abuse.

I have set this to high as I know that in some environments these packages being installed will prevent the adoption of SAM as the product will not pass security review / certification processes.
Comment 1 Mike McCune 2012-02-06 16:58:36 EST
The reason we get most of those is from gettext which we get by way of tomcat6 which pulls in redhat-lsb.  This has nothing todo with Katello or SAM.  I propose we close this as NOTABUG.

--> Processing Dependency: redhat-lsb for package: tomcat6-6.0.24-35.el6_1.noarch
--> Processing Dependency: redhat-lsb for package: tomcat6-6.0.24-35.el6_1.noarch
---> Package redhat-lsb.x86_64 0:4.0-3.el6 will be installed
--> Processing Dependency: redhat-lsb-printing for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: redhat-lsb-graphics for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: perl-Test-Simple for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: perl-Test-Harness for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: perl-ExtUtils-MakeMaker for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: perl-CGI for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/time for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/pax for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/patch for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/msgfmt for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/man for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/make for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/file for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/bc for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/batch for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/at for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /bin/mailx for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /bin/gettext for package: redhat-lsb-4.0-3.el6.x86_64
--> Processing Dependency: /bin/ed for package: redhat-lsb-4.0-3.el6.x86_64
---> Package redhat-lsb-graphics.x86_64 0:4.0-3.el6 will be installed
--> Processing Dependency: libqt-mt.so.3()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libcupsimage.so.2()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libcups.so.2()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libXt.so.6()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libXft.so.2()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libQtXml.so.4()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libQtSvg.so.4()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libQtSql.so.4()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libQtOpenGL.so.4()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libQtNetwork.so.4()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libQtGui.so.4()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libQtCore.so.4()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libGLU.so.1()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
--> Processing Dependency: libGL.so.1()(64bit) for package: redhat-lsb-graphics-4.0-3.el6.x86_64
---> Package redhat-lsb-printing.x86_64 0:4.0-3.el6 will be installed
--> Processing Dependency: /usr/bin/lpr for package: redhat-lsb-printing-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/lp for package: redhat-lsb-printing-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/gs for package: redhat-lsb-printing-4.0-3.el6.x86_64
--> Processing Dependency: /usr/bin/foomatic-rip for package: redhat-lsb-printing-4.0-3.el6.x86_64
Comment 3 Bryan Kearney 2012-02-17 12:45:24 EST
Closed per the upstream bug.

Note You need to log in before you can comment on or make changes to this bug.